Bug 902855 - File operations occur as root regardless of original user on 32-bit nfs client
File operations occur as root regardless of original user on 32-bit nfs client
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Rajesh
Sudhir D
:
Depends On: 885424
Blocks: 902204
  Show dependency treegraph
 
Reported: 2013-01-22 09:32 EST by Kaleb KEITHLEY
Modified: 2013-07-04 18:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 885424
Environment:
Last Closed: 2013-02-06 04:58:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2013-01-22 09:32:37 EST
+++ This bug was initially created as a clone of Bug #885424 +++

Description of problem:

32-bit client (Debian 5.0) mounts gluster export via nfs. As a normal user, creating a new file using touch creates the file with 0:0 ownership. It is possible to chown the file to the correct user after that. This gives me the idea that all operations are made with UID 0.


Version-Release number of selected component (if applicable):
3.3.0, using glusters built in nfs server


How reproducible:

Always, on a 32 bit client. 64 bit client works as expected

Steps to Reproduce:
1. mount on 32 bit client using nfs.
2. create a file using an ordinary user
3. the file has root:root ownership
  
Actual results:
Wrong ownership :)

Expected results:
Correct ownership (as is when mounted using 64 bit client)

Additional info:

--- Additional comment from Niels de Vos on 2013-01-03 10:37:36 EST ---

I've tried this in one of my VMs, but can not reproduce this. Could you provide
some more details steps to show what I have missed?

Thanks!

Steps taken on the 32-bit client:

[root@vm-200 ~]# uname -m
i686
[root@vm-200 ~]# rpm -q nfs-utils
nfs-utils-1.2.3-26.el6.i686
[root@vm-200 ~]# mount -t nfs -o vers=3 vm-86:/distrep2x2 /mnt
[root@vm-200 ~]# mkdir /mnt/bug-885424
[root@vm-200 ~]# chown guest:guest /mnt/bug-885424
[root@vm-200 ~]# touch /mnt/bug-885424/created-as-root
[root@vm-200 ~]# su - guest
[guest@vm-200 ~]$ touch /mnt/bug-885424/created-as-guest
[guest@vm-200 ~]$ ls -l /mnt/bug-885424/
total 0
-rw-rw-r--. 1 guest guest 0 Jan  3 10:26 created-as-guest
-rw-r--r--. 1 root  root  0 Jan  3 10:26 created-as-root


64-bit server:

[root@vm-86 ~]# gluster --version
glusterfs 3.3.0.5rhs built on Dec  5 2012 12:34:17
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

Note You need to log in before you can comment on or make changes to this bug.